# Minimal working example of Nyström layer

Minimum working example of the Nystrom Layer implementation.

This doesn't aim at giving good results, just to show a simple implementation of the Nyström layer in a convolutional neural network.


## Requirements

Those requirements versions may not be absolutely necessary but they are the versions
used while writing this simple example

- `python=3.6` 
- `keras=2.2.4`
- `tensorflow=1.13.1`
- `numpy=1.16.4`

## Files

- `nystrom_layer.py`: the minimal working example that you can just execute as it is.

- `keras_kernel_functions.py`: some common kernel functions implemented in keras.